\name{snpPlot}
\alias{snpPlot}
\title{snpPlot: Basic plot function for haplotype clusters and IBD tracts}
\description{

  \code{snpPlot}: \R implementation of \code{snpPlot}.

  Plots a haplotype cluster or a IBD tract where alleles are supplied in a matrix.
  Matrix values code different alleles and different annotations.


}
\usage{

snpPlot(x,range=NULL, yLabels=NULL, zlim=NULL,title=NULL,colRamp=12)


}
\arguments{
  \item{x}{matrix that codes alleles and annotations of a haplotype cluster or IBD tract.}
  \item{range}{optional: physical range of the haplotype cluster or IBD tract.}
  \item{yLabels}{optional: labels of the individuals.}
  \item{zlim}{optional: limits imposed onto the matrix values.}
  \item{title}{title of the plot.}
  \item{colRamp}{color representation.}

}
\details{

  Plots a haplotype cluster or a IBD tract. Alleles and their annotations are supplied in a matrix
 and are coded via values.

  Implementation in \R.

}
\seealso{
\code{\link{hapFabia}},
\code{\link{vcftoFABIA}},
\code{\link{split_sparse_matrix}},
\code{\link{iterateSegments}},
\code{\link{getIBDs}},
\code{\link{extractIBD}},
\code{\link{compareIBDres}},
\code{\link{mergeIBDres}},
\code{\link{identifyDuplicates}},
\code{\link{ibd2excel}},
\code{\link{plotRangeL}},
\code{\link{plotOneIBD}},
\code{\link{plotIBDs}},
\code{\link{snpPlot}},
\code{\link{analyzeIBDs}},
\code{\link{simulateHaplotypes}},
\code{\link{simulateForFabia}},
\code{\link{sim}},
\code{\link{topLZ}},
\code{\link{histL}},
\code{\link{plotL}},
\code{\link{hapRes}},
\code{\link{res}},
\code{\link{simu}},
\code{\link{mergedIBD}}
}
\author{Sepp Hochreiter}
\examples{

mat <- matrix(0,nrow=10,ncol=40)
v1 <- sample(1:10,5)
v21 <- sample(1:40,4)
v22 <- sample(1:40,4)
w1 <- rep(0,10)
w2 <- rep(0,40)
w1[v1] <- 1
w2[v21] <- 1
w2[v22] <- 2
mat <- mat + tcrossprod(w1,w2)

snpPlot(mat)


}

\references{

S. Hochreiter et al.,
\sQuote{FABIA: Factor Analysis for Bicluster Acquisition},
Bioinformatics 26(12):1520-1527, 2010.

}
\keyword{hplot}
\concept{genetics,haplotype,identity by descent,bicluster,next generation sequencing,genotype,single nucleotide polymorphism,single nucleotide variation,rare variants,rare SNPs, rare SNVs,rare haplotype clusters,short haplotype clusters}
