\name{topLZ}
\alias{topLZ}
\title{topLZ: Supply largest L or Z indexes/values of a \pkg{fabia} result}
\description{

  \code{topLZ}: \R implementation of \code{topLZ}.

  This function returns largest L or Z values of a \pkg{fabia} result.
  Thresholds are given by quantile or by a value.


}
\usage{

topLZ(res,n=1,LZ="L",indices=TRUE,p=NULL,w=NULL)

}
\arguments{
  \item{res}{\pkg{fabia} result.}
  \item{n}{the number of the bicluster to consider.}
  \item{LZ}{"L" for loadings L or "Z" for factors Z.}
  \item{indices}{if \code{TRUE} (default) indices are given and otherwise values.}
  \item{p}{the quantile threshold above which values are returned (p or w must be given).}
  \item{w}{the value threshold above which values are returned (p or w must be given).}

}
\details{

  This function returns largest L or Z indices/values of a \pkg{fabia} result.
  Thresholds are given by quantile or by a value.

  Implementation in \R.

}
\value{
\item{}{vector of indices or values.}

    }
\seealso{
\code{\link{hapFabia}},
\code{\link{vcftoFABIA}},
\code{\link{split_sparse_matrix}},
\code{\link{iterateSegments}},
\code{\link{getIBDs}},
\code{\link{extractIBD}},
\code{\link{compareIBDres}},
\code{\link{mergeIBDres}},
\code{\link{identifyDuplicates}},
\code{\link{ibd2excel}},
\code{\link{plotRangeL}},
\code{\link{plotOneIBD}},
\code{\link{plotIBDs}},
\code{\link{snpPlot}},
\code{\link{analyzeIBDs}},
\code{\link{simulateHaplotypes}},
\code{\link{simulateForFabia}},
\code{\link{sim}},
\code{\link{topLZ}},
\code{\link{histL}},
\code{\link{plotL}},
\code{\link{hapRes}},
\code{\link{res}},
\code{\link{simu}},
\code{\link{mergedIBD}}
}
\author{Sepp Hochreiter}
\examples{

data(res)

topLZ(res,1,LZ="L",p=0.95)
topLZ(res,1,LZ="L",w=0.95)

topLZ(res,1,LZ="Z",p=0.95)
topLZ(res,1,LZ="Z",w=0.4)

topLZ(res,1,LZ="L",indices=FALSE,p=0.95)
topLZ(res,1,LZ="L",indices=FALSE,w=0.95)

topLZ(res,1,LZ="Z",indices=FALSE,p=0.95)
topLZ(res,1,LZ="Z",indices=FALSE,w=0.4)


}

\references{

S. Hochreiter et al.,
\sQuote{FABIA: Factor Analysis for Bicluster Acquisition},
Bioinformatics 26(12):1520-1527, 2010.

}
\keyword{models,multivariate,cluster}
\concept{genetics,haplotype,identity by descent,bicluster,next generation sequencing,genotype,single nucleotide polymorphism,single nucleotide variation,rare variants,rare SNPs, rare SNVs,rare haplotype clusters,short haplotype clusters}
